Bug 1566540 - javascript error on new gpg key page
Summary: javascript error on new gpg key page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: GPG Keys
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:36 UTC by Roman Plevka
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:20 UTC
Foreman Issue Tracker 23381 None None None 2018-11-08 21:55:58 UTC
Foreman Issue Tracker 23716 None None None 2018-11-08 22:00:53 UTC

Description Roman Plevka 2018-04-12 13:36:38 UTC
Description of problem:
There is a javascript traceback logged in the browser console on navigating to "new gpg key"
- anyway, the new gpg key form seems to be functional and user is able to create a new record:

Error: t.path(...).match(...) is null
link/o<@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:75:12982
$digest@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:3:9274
$apply@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:3:10763
s@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:2:18080
y@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:2:19983
Fn/</x.onload@https://sat6.host.fqdn/assets/bastion/bastion-2b28df80b56d107b087fea1305695eaa138231f98bbfee66debf6cd5fc820246.js:2:20526

Version-Release number of selected component (if applicable):
6.3.1-3

How reproducible:
always

Steps to Reproduce:
1. navigate to content -> gpg keys
2. hit create new key
3. watch browser console

Actual results:
javascript traceback

Comment 4 Nikhil Kathole 2018-04-12 13:52:16 UTC
Adding to above description,

This is common issue while creating each new entity in satellite like creating activation key, host collection, product, etc.

Comment 7 Walden Raines 2018-05-29 02:34:54 UTC
Created redmine issue http://projects.theforeman.org/issues/23716 from this bug

Comment 8 pm-sat@redhat.com 2018-07-11 20:17:59 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 9 pm-sat@redhat.com 2018-11-08 21:55:57 UTC
Connecting redmine issue https://projects.theforeman.org/issues/23381 from this bug

Comment 10 Brad Buckingham 2018-11-12 19:15:25 UTC
The fix for this was introduced in the upstream with the following PRs:
- https://github.com/Katello/katello/pull/7370
- https://github.com/Katello/bastion/pull/228

I have confirmed that the code changes for both were in the internal Satellite 6.5 SNAP 1 builds; therefore, moving this one to ON_DEV

Comment 12 Roman Plevka 2018-12-10 14:11:51 UTC
VERIFIED
on satellite-6.5.0-5.beta.el7sat.noarch

the new content credentials form raises no errors and i am able to create a gpg key successfully

Comment 15 errata-xmlrpc 2019-05-14 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.